# Teacher

This repository will contain a website for `mude.citg.tudelft.nl/teacher/`. It will include:
- instructions, policies, information for MUDE teachers
- links to key files (Yes, Teams links, which will have restricted access)
- perhaps a simple password (preferably not)


## Future items for page

### License for materials

Need to decide which one...CC BY preferable by default, but should consult others to confirm. WWJD?

Once license is decided, standard policy for teachers is:
- cannot decide on using a different license, but
- can decide to withhold material from public part of website (e.g., partial solutions)
- however, keep in mind the following position of MUDE

#### Why should MUDE share materials openly?

Default position of MUDE is founded in accessibility and equity for _all_ students:
- it is impossible to prevent digital materials from being shared outside our websites (regardless of Brighstpace or custom site)
- it is therefore possible that at least some small group of students have access to old material, which can give them an advantage relative to other students
- we should avoid the situation where small groups of students have an unfair advantage
- we suspect it is more likely that groups of Dutch students would have access to these files, which is especially unfair for international students
- by providing a majority of materials publicly, there is no need for sharing of files in closed circles
- therefore, MUDE should provide as much material as possible openly

MUDE has also benefited from using open resources from others. We should strive to do the same.

### Links and websites

Every year when setting up the new website, book and files, we will need to do the following:
- links to website: update all links from 202X to 202X+1
- links to book: check that page or chapter locations have not changed (should be very stable long term, but needs thorough checking next couple years)
- links to files: for assignments that do not change week or scope, could be as simple as updating links from 202X to 202X+1, but should recognize that this is unreliable and everything should be checked individually

#### Rules for links

- Website:
    - internal links must be relative (need instructions) such that a link `./to_this_page.html` will remain valid regardless of whether it is the 2023 or 2024 website
- Book:
    - internal links must be relative (need instructions) such that a link `./to_this_page.html` will remain valid regardless of whether it is the 2023 or 2024 book
    - external links to files and website must include year
    - special treatment for "our" external books?
    - other links: use at own risk
- Files:
    - always use year when linking to book or website
- Exams: depends on where final storage location is (TBD)

### Creating assignments

Regardless of new assignment, or revising an old one, key things are:
- formatting check (header, task box style, footer, fonts, colors, etc)
- programming check: Golden Rules and PEP-8, software installation, environments, packages, etc
- links, links, links! Check them all! Thoroughly!
- use mudlisher to check execution of solution notebooks with specific environments