---
layout: page
title: Multiyear Students
description: Policies and advice for students who are from previous years than the current one.
nav_order: 7
nav_exclude: false
# math: mathjax
---

# Multiyear Students (Students from Previous Years)

This page gives advice on how to pass the Exam or Portfolio assessment for MUDE for students that have not completed all assessments for the entire module. For an overview of changes to the technical content in previous years, see the [Exams page](../exams).

If you are a student from a previous year, please inform MUDE staff of your situation and plan for completing the module by the start of each quarter. We will do our best to find ways to help you study the material and pass the exam and/or portfolio.

## Exams

Students resitting the exam from previous years of MUDE are expected to write the the exam as-is; no alternative exam will be prepared. Review the Programming Assignments, Group Assignments and [online textbook](https://mude.citg.tudelft.nl/book/intro.html) to identify the changes; you can also ask the instructors in office hours. 

It is also recommended that you follow activities, such as the workshops (WS) on Wednesday's, the Group Assignments (GA) on Friday's, and the weekly Programming Assignments (PA) as these are meant to help learn topics covered for the exam.

Please talk to an instructor if you would like to find other students from previous years to work with. Unless you can commit to following the entire module as a "normal" student from this year, it is not possible to put you in a group with current students.

## Portfolio

The _Project Portfolio_ from the 2022-2023 and 2023-2024 academic years is now called the _Assignment Portfolio_, due to the transition to a weekly assignment that is turned in every Friday (now called the _Group Assignment_).

If you completed the projects from previous years and recieved passing grades for the projects in an entire quarter, you do not need to repeat that quarter. Once you complete the remaining quarter, a composite grade will be computed using the grading rules for each year where the assignments were completed.

If you only completed (or passed) part of the project assignments from a previous year, you must repeat the present year portfolio assignments for that quarter.

Students from previous years that must finish the portfolio assignments from this year must also complete the programming assignments. BuddyChecks are not required if you complete the assignments individually (but we recommend you work with a group, if possible!). Please consult MUDE staff to arrange this. 

## Students from 2022-2023

If you are collaborating with students from this year on the Group Assignment, we recommend you review the Programming Assignments that focus on Git and collaboration, PA 1.3 and PA 1.4. This is especially true if you are participating in Q2 Assignment Portfolio work, as the material from Q2 builds on the PA's from Q1.